Package com.independentsoft.office.drawing.extensions

# Class CreationId

java.lang.Object
com.independentsoft.office.drawing.extensions.CreationId

All Implemented Interfaces:
  `IExtensionContent`

public class CreationId extends Object implements IExtensionContent
Represents the creation-id extension (`a16:creationId`) carrying the unique creation id (GUID) of a drawing element (uri `{FF2B5EF4-FFF2-40B4-BE49-F238E27FC236}`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreationId()`
  Instantiates a new creation id.
  `CreationId​(InternalXMLStreamReader reader)`
  Instantiates a new creation id.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IExtensionContent`
  `clone()`
  Clone.
  `String`
  `getId()`
  Gets the creation id.
  `void`
  `setId​(String id)`
  Sets the creation id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### CreationId

    public CreationId()
    Instantiates a new creation id.

  - ### CreationId

    public CreationId​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new creation id.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public IExtensionContent clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public String getId()
    Gets the creation id.
    Returns:
      the creation id

  - ### setId

    public void setId​(String id)
    Sets the creation id.
    Parameters:
      `id` - the new creation id